Subject: bug#23957: [PATCH] Make fboundp an alias for symbol-function

From: Stefan Monnier <[email-masked]>
Date: Tue, 12 Jul 2016 16:35:40 -0400

> And the docstring of `fboundp' does specify that it returns t (not just
> non-nil), so this is indeed a breaking chance.
> I'd suggest to simply remove the FIXME instead.

FWIW, the reason why I put a FIXME instead of making this change, is
that I wasn't sure indeed exactly how to make such a change.

I expect 99% of the uses of fboundp don't care about the distinction
between t and other non-nil values.  And at least 90% of the remaining
1% is probably ill-advised to rely on this distinction.  But the benefit
of redefining fboundp as an alias rather than as its own function is
probably too small to justify risking such breakage.

        Stefan